É seguro atualizar toda a porta desatualizada ao atualizar do leopardo da neve para o leão? -- acos campo com open-source camp apple Relacionado O problema

Is it safe to upgrade all outdated port when upgrading from Snow Leopard to Lion?


6
vote

problema

português

Meu Mac Running Snow Leopard possui vários pacotes de software de código aberto com base em Macports instalados. Após a atualização para o Leão, todas as minhas portas são listadas como desatualizadas.

É seguro atualizá-los en massas?

english

My Mac running Snow Leopard has several MacPorts based open source software packages installed. Upon the upgrade to Lion, all my ports are listed as outdated.

It's safe to upgrade them en masse?

     

Lista de respostas

7
 
vote
vote
Melhor resposta
 

macports.org Atualmente diz: Nota para usuários do Lion: Não há liberação oficial que suporta o Mac OS X 10.7 ainda, mas você pode testar o Macports 2.0.0 Release Candidate Se quiser. "

Eu geralmente não atualiza para uma nova versão principal do OS X até que Macports tenha lançado seu primeiro suporte oficial para ele.

Eu concordo com Jerry Jacobs que você provavelmente deve fazer backup do seu ABCDEFGHIJKLMBCDefGHIJKLMN0 Hierarquia antes de tentar. Então você poderia tentar fazer sudo port selfupdate para ver se isso atualiza você de 1.9.2 (ou qualquer outra coisa) para o candidato de versão 2.0.0. Se isso acontecer, então você pode tentar sudo upgrade outdated .

Eu não tentaria fazer um sudo upgrade outdated no leão sem pelo menos estar no candidato de liberação 2.0.0 de Macports.

 

macports.org currently says: "Note for Lion users: There is no official release supporting Mac OS X 10.7 yet, but you can test the MacPorts 2.0.0 release candidate if you like."

I usually don't upgrade to a new major version of OS X until MacPorts has released their first official support for it.

I agree with Jerry Jacobs that you should probably back up your /opt hierarchy before attempting. Then you could try doing sudo port selfupdate to see if that upgrades you from 1.9.2 (or whatever) to the 2.0.0 release candidate. If it does, then you can try sudo upgrade outdated.

I wouldn't try doing a sudo upgrade outdated on Lion without at least being on the 2.0.0 release candidate of MacPorts.

 
 
 
 
1
 
vote

A melhor coisa que você pode fazer é copiar o diretório / opt / local para um outro diretório e, em seguida, atualizar tudo o que você instalou com Macports. Se falhar, você ainda ter suas portas antigas no diretório de backup.

 

The best thing you can do is to copy the /opt/local directory to a other directory, and then upgrade everything you installed with macports. If it fails you still have your old ports in the backup directory.

 
 
0
 
vote

Acabei de atualizar para o leão ontem. A porta 1.9 parou de funcionar até que eu atualizei o Xcode para a versão mais recente (4.1). Depois que eu atualizei o Xcode, a porta (1.9) começou a funcionar novamente.

 

I just upgraded to Lion yesterday. Port 1.9 stopped working until I upgraded Xcode to the newest version (4.1). After I upgraded Xcode, port (1.9) started working again.

 
 

Perguntas relacionadas

1  ModulenotFoundError: Nenhum módulo chamado 'numpy' ao instalar robotpy-cscore  ( Modulenotfounderror no module named numpy when installing robotpy cscore ) 
Ao usar o PIP para baixar robotpy-cscore no meu Mac, eu corri pip3 install robotpy-cscore No entanto, eu tenho: Collecting robotpy-cscore Using ca...

4  Incapaz de resolver os nomes de host dentro de MacOS Chroot Crei  ( Unable to resolve hostnames inside macos chroot jail ) 
Acabei de criar um Creva chroot com inetutils, coreutils e bash . A maioria das coisas parece funcionar. Eu posso ping endereços e hosts IP que estão dentro ...

1  Use o jQuery nos beatcripts do fluid.app?  ( Use jquery in fluid apps userscripts ) 
em Fluid.App 'S Seção de Usisfesso, você pode escrever JavaScript personalizado para modificar o site incorporado. Legal! O site embutido do aplicativo do me...

1  Lynx Browser & HTTP Obtenha ignorar opções de tempo limite  ( Lynx browser http get ignore timeout options ) 
Estou trabalhando no meu utilitário de linha de comando WiFi-Wand que gerencia o WiFi no Mac ( https: // github.com/Keithrbennett/wifiwand ), e estou tentando...

5  O FFMPEG pode mesclar vários arquivos M4A em um arquivo ~ capitular?  ( Can ffmpeg merge multiple m4a files into one chapterized file ) 
Dada uma pasta cheia de arquivos 'm4a', posso mesclá-los em um arquivo M4A grande usando ffmpeg como assim: ffmpeg -f concat -i <(for f in ./*.m4a; do ec...

7  Não é possível compilar o código-fonte no Mac  ( Cant compile source code on mac ) 
Eu já tenho Xcode instalado no OSX Yosemite. Eu também dirigi e aceito termos e condições. Eu também posso fazer gcc --version e eu vejo Configured wit...

3  Adicionar cifra de arcfour a Mojave 10.14  ( Add arcfour cipher to mojave 10 14 ) 
Estou tentando usar a cifra de arcfour com ssh. Sim, estou ciente dos riscos, mas tenho minhas próprias razões para querer usá-lo. Quando eu liste os cifras d...

5  Por que todas as dependências são forçadas no Homebrew FFMPEG 4.1?  ( Why are all dependencies forced in homebrew ffmpeg 4 1 ) 
Ao atualizar para o mais recente FFMPEG (4.1) através do homebrew, notei que um número esmagador de novas dependências foi instalado. Ao mesmo tempo, brew in...

3  Existe uma porta Vimari ou Vimium para o Safari em Mojave?  ( Is there a vimari or vimium port for safari on mojave ) 
Eu adorei vimari Mas a atualização do Mojave não funcionou mais por causa do sistema de permissões mais forte. Existe alguma maneira de instalar isso com se...

27  Como corrigir 403 no Mac OS X Build-in Apache?  ( How to fix 403 in mac os x built in apache ) 
Estou tentando definir um ambiente local no meu novo MacBook Air 13 ": Apache embutido com o meu próprio DocumentRoot , php e mysql. Eu normalmente atualizo ...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.